package cz.jzitnik.game.entities.items.registry.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;

@BlockRegistry("coal_block")
public class CoalBlock extends Block {
    public CoalBlock() {
        super("coal_block", SpriteLoader.SPRITES.COAL_BLOCK, 15, ItemType.PICKAXE, Arrays.stream(ToolVariant.values()).toList());
    }
}
