package cz.jzitnik.game.entities.items.registry.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;

@BlockRegistry("gold_ore")
public class GoldOreBlock extends Block {
    public GoldOreBlock() {
        super("gold_ore", SpriteLoader.SPRITES.GOLD_BLOCK, 15, ItemType.PICKAXE, Arrays.stream(ToolVariant.values()).toList());
    }
}
